package ColorReplace;
import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics;


import javax.swing.JButton;

import javax.swing.JFrame;




public class ColorButton extends JButton {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private Color color;

	public ColorButton(Color color){
		super();
		this.setPreferredSize(new Dimension(30,30));
		this.color = color;
	}
	public void paint(Graphics g){
		super.paint(g);
		g.setColor(color);
		g.fillRect(0, 0, getWidth(),getHeight());
	}
	public void setColor(Color c){
		this.color = c;
	}
	public Color getColor(){
		return color;
	}
	public static void main(String[] args){
		Color color = Color.YELLOW;
		ColorButton button = new ColorButton(color);
		JFrame frame = new JFrame();
		frame.add(button);
		frame.pack();
		frame.setVisible(true);
	}
	/*
	public void actionPerformed(ActionEvent e) {
        Color newColor = JColorChooser.showDialog(
                                       this,
                                       "Choose Color",
                                       color);
        if (newColor != null) {
            color = newColor;
        }
    }
    */
}
