package Layers;

import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.RenderingHints;

import javax.swing.JPanel;



public class SmallLayerPanel extends JPanel{
	private static final long serialVersionUID = -2818260868479806384L;
	Layer layer;
	float hrate;
	float wrate;
	public SmallLayerPanel(Layer layer,float wrate,float hrate){
		this.hrate = hrate;
		this.wrate = wrate;
		this.layer = layer;
	}
	public void paint(Graphics g){
		super.paint(g);
		Graphics2D g2d = (Graphics2D)g;
		if(this.layer.buffer!= null){
			g2d.setRenderingHint(RenderingHints.KEY_INTERPOLATION, RenderingHints.VALUE_INTERPOLATION_BICUBIC);
			g2d.drawImage(this.layer.buffer, 0, 0, this.getWidth(), this.getHeight(), null);
			g2d.drawRect(0, 0, this.getWidth()+1, this.getHeight()+1);
		}
		
	}
}
