package Tools;

import java.awt.event.InputEvent;
import java.awt.event.MouseEvent;
import java.awt.geom.GeneralPath;

import Shapes.ElementPencil;
import panels.CanvasPanel;
import utils.DrawStateSingleton;

public class ToolStatePencil extends ToolStateAbstract{
	private GeneralPath gp;
	
	public ToolStatePencil(CanvasPanel panel) {
		super(panel);
		
	}

	public void mousePressed(MouseEvent e) {
		if(e.getModifiers() != InputEvent.META_MASK){
		if(drawable == null){
			drawable = new ElementPencil(DrawStateSingleton.getInstance()
					.getDrawableInformation(),this.canvasPanel.currentLayer);
			drawable.information.setGraphicAttribute(canvasPanel.gback);
			gp = new GeneralPath();
			gp.moveTo(e.getX(), e.getY());
			((ElementPencil)drawable).setGeneralPath(gp);
			canvasPanel.getStorage().getDrawableList().add(drawable);
			canvasPanel.currentLayer.vector.add(drawable);
		}
		}
		
	}
	
	public void mouseDragged(MouseEvent e) {
		if(e.getModifiers() != InputEvent.META_MASK){
		gp.lineTo(e.getX(), e.getY());
		
		//((ElementPencil)drawable).paint(canvasPanel.gback);                     
		//canvasPanel.getGraphics().drawImage(canvasPanel.gBackImg, 0, 0, canvasPanel);  // gbackImg гο ׸     
		//canvasPanel.update();
		canvasPanel.repaint();
		}
	}
	
	public void mouseReleased(MouseEvent e) {
		if(e.getModifiers() != InputEvent.META_MASK){
		//this.canvasPanel.getStorage().getDrawableList().add(drawable);
		this.canvasPanel.updateElement();
		gp = null;
		canvasPanel.repaint();
		drawable = null;
		}
	}

	
	public void mouseEntered(MouseEvent e) {}
	public void mouseExited(MouseEvent e) {}
	public void mouseMoved(MouseEvent e) {}

}
