package menus;


import javax.swing.JMenu;
import javax.swing.JMenuItem;

public class EditMenu extends JMenu {

	private static final long serialVersionUID = 1L;
	
	private JMenuItem undo;
	private JMenuItem redo;
	private JMenuItem cut;
	private JMenuItem copy;
	private JMenuItem paste;
	private JMenuItem delete;	
	
	public EditMenu(String name) {
		super(name);
	
		undo = new JMenuItem("Undo");
		redo = new JMenuItem("Redo");
		cut = new JMenuItem("Cut");
		copy = new JMenuItem("Copy");
		paste = new JMenuItem("Paste");
		delete = new JMenuItem("Delete");
		
		this.sub();
	}
	
	public void sub() {
		this.add(undo);
		this.add(redo);
		this.addSeparator();
		this.add(cut);
		this.addSeparator();
		this.add(copy);
		this.add(paste);
		this.addSeparator();
		this.add(delete);
		
	}

}
