package panels;

import java.awt.Color;
import java.awt.Font;
import java.awt.Rectangle;

import javax.swing.BorderFactory;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JSeparator;
import javax.swing.SwingConstants;

public class ColorPanel extends JPanel {

	private static final long serialVersionUID = 1L;
	
	private Font myFont;
	private JSeparator separator;
	
	private JLabel lb_red, lb_green, lb_blue;
	private JLabel lb_x, lb_y;
	private String Red,Green,Blue,X,Y;	
	public void setValue(Color c,int x, int y){
		lb_red.setText(Red+c.getRed());
		lb_green.setText(this.Green + c.getGreen());
		lb_blue.setText(this.Blue + c.getBlue());
		lb_x.setText(X+x);
		lb_y.setText(Y + y);
	}
	public ColorPanel() {
		super();
		Red = new String("Red :");
		Green = new String("Green :");
		Blue = new String("Blue :");
		X = new String("X :");
		Y = new String("Y :");
		
		myFont = new Font("Arial", Font.PLAIN, 10);
		separator = new JSeparator();
		
		lb_red = new JLabel("Red :", SwingConstants.RIGHT);
		lb_red.setFont(myFont);
		
		lb_green = new JLabel("Green :", SwingConstants.RIGHT);
		lb_green.setFont(myFont);
		
		lb_blue = new JLabel("Blue :", SwingConstants.RIGHT);
		lb_blue.setFont(myFont);
		
		lb_x = new JLabel("X :", SwingConstants.RIGHT);
		lb_x.setFont(myFont);
		
		lb_y = new JLabel("Y :", SwingConstants.RIGHT);
		lb_y.setFont(myFont);
		
		this.sub();
	}
	
	public void sub() {
		this.setLayout(null);
		this.setBorder(BorderFactory.createEtchedBorder());
		
		lb_red.setBounds(new Rectangle(10, 15, 60, 20));
		this.add(lb_red);

		lb_green.setBounds(new Rectangle(10, 40, 60, 20));
		this.add(lb_green);

		lb_blue.setBounds(new Rectangle(10, 65, 60, 20));
		this.add(lb_blue);
		
		separator.setBounds(new Rectangle(10, 95, 180, 1));
		this.add(separator);

		lb_x.setBounds(new Rectangle(10, 105, 60, 20));
		this.add(lb_x);

		lb_y.setBounds(new Rectangle(10, 130, 60, 20));
		this.add(lb_y);
	}

}
