package panels;

import java.awt.Color;
import java.awt.Graphics;
import java.awt.Graphics2D;
import javax.swing.JPanel;
import Shapes.ParentElement;

public class SmallNaviPanel extends JPanel{
	
	private static final long serialVersionUID = 1L;
	ParentElement element;
	
	public SmallNaviPanel(ParentElement element){
		this.element = element;
		this.setBackground(Color.LIGHT_GRAY);
		
	}
	
	public void paint(Graphics g){
		super.paint(g);
		Graphics2D g2d = (Graphics2D)g;
		element.samllPaint(g2d);
		g.drawRect(0, 0, this.getWidth(), this.getHeight());
	}
}
