package popupMenus;


import java.awt.event.ItemEvent;
import java.awt.event.ItemListener;

import javax.swing.JCheckBox;
import javax.swing.JPopupMenu;

import FuncDialog.imageFunDialog;


public class PopupRGB extends JPopupMenu implements ItemListener{
	private static final long serialVersionUID = 1L;
	imageFunDialog dialog;
	String str ;
	JCheckBox invert , remove;
	public PopupRGB (imageFunDialog dialog){
		super();
		this.dialog = dialog;
		invert = new JCheckBox("Invert");
		remove = new JCheckBox("Remove");
		
		this.add(invert);
		this.add(remove);
		invert.addItemListener(this);
		remove.addItemListener(this);
		
	}
	public void setRGBString(String str){
		this.str = str;
	}
	
	public void itemStateChanged(ItemEvent e) {
		Object o = e.getSource();
		int type = e.getStateChange();
		if(this.str != null){
		if(o == invert){
			if(type == ItemEvent.SELECTED){
				this.dialog.setRGBInvert(this.str , true);
			}else{
				this.dialog.setRGBInvert(this.str , false);
			}
		}else if( o == remove ){
			if(type == ItemEvent.SELECTED){
				this.dialog.setRGBRemove(this.str , true);
			}else{
				this.dialog.setRGBRemove(this.str , false);
			}
		}
		}
	}
}
