package subframes;

import java.awt.Font;
import java.util.ArrayList;
import javax.swing.JInternalFrame;
import javax.swing.JTabbedPane;
import Shapes.ParentElement;
import Start.MainFrame;
import panels.InfoPanel;
import panels.ColorPanel;
import panels.NavigatorPanel;

public class EditFrame extends JInternalFrame{

	private static final long serialVersionUID = 1L;
	
	private JTabbedPane tab_edit;
	
	private InfoPanel infoPanel;
	public ColorPanel colorPanel;
	private NavigatorPanel navigatorPanel;
	
	private Font myFont;
	MainFrame mainframe;
	
	public EditFrame(MainFrame mainframe) {
		super("Edit", true, true, false, true);
		
		this.mainframe = mainframe;
		myFont = new Font("Arial", Font.PLAIN, 10);
				
		tab_edit = new JTabbedPane();
		tab_edit.setFont(myFont);
		
		navigatorPanel = new NavigatorPanel(mainframe);
		navigatorPanel.setFont(myFont);
		
		infoPanel = new InfoPanel();
		infoPanel.setFont(myFont);
		
		colorPanel = new ColorPanel();
		colorPanel.setFont(myFont);
		
		this.sub();
		this.setDefaultCloseOperation(HIDE_ON_CLOSE);
		
	}
	
	public void sub() {		
		this.setVisible(true);
		this.setBounds(970, 10, 220, 220);
		
		tab_edit.addTab("Navitor", navigatorPanel);
		//tab_edit.addTab("Info", infoPanel);
		tab_edit.addTab("Color", colorPanel);
		
		this.add(tab_edit);
	
	}
	
	public void addElement(ParentElement element){
		
	}

	public void updateElement(ArrayList<ParentElement> drawableList) {
		this.navigatorPanel.updateElement(drawableList);
	}	
	
}
