package Layers;

import java.awt.Color;
import java.awt.Dimension;
import java.util.Vector;

import javax.swing.BoxLayout;
import javax.swing.ButtonGroup;
import javax.swing.ImageIcon;
import javax.swing.JPanel;
import javax.swing.JRadioButton;
import javax.swing.JScrollPane;

import Start.MainFrame;


public class LayerPanel extends JPanel{
	
	private static final long serialVersionUID = -3391425711933314109L;
	
	private JPanel inScrollpanel;
	private JScrollPane scroll;
	@SuppressWarnings("unused")
	private ImageIcon img_newLayer;
	private Vector<LayerButton> buttonVector;
	@SuppressWarnings("unused")
	private Vector<Layer> layerVector;
	ButtonGroup buttonGroup;
	MainFrame mainframe;
		
	public LayerPanel(MainFrame mainframe) {
	//	this.setLayout(null);
		this.mainframe = mainframe;
		
		buttonVector = new Vector<LayerButton>();
		layerVector = new Vector<Layer>();
		inScrollpanel = new JPanel();
		img_newLayer = new ImageIcon("image/newLayer.jpg");
		buttonGroup = new ButtonGroup();
		inScrollpanel.setBackground(Color.black);
		inScrollpanel.setLayout(new BoxLayout(inScrollpanel, BoxLayout.Y_AXIS));
		
		scroll = new JScrollPane(inScrollpanel, 
				JScrollPane.VERTICAL_SCROLLBAR_ALWAYS, 
				JScrollPane.HORIZONTAL_SCROLLBAR_NEVER);
		scroll.setBackground(Color.black);
		scroll.setPreferredSize(new Dimension(200, 200));
		
		this.add(scroll);
	
	}	

	public void updateElement(Vector<Layer> layerVector) {

		inScrollpanel.removeAll();
		this.buttonVector.clear();
		this.layerVector = layerVector;
		
		for(int i=0;i<layerVector.size();i++){
			JRadioButton radio = new JRadioButton();
			buttonGroup.add(radio);
			LayerButton bt_layer = new LayerButton(this.mainframe,layerVector.elementAt(i),radio);
			buttonVector.add(bt_layer );
			bt_layer.lb_layerName.setText(bt_layer.lb_layerName.getText()+i);
			inScrollpanel.add(bt_layer);
		}
		
		inScrollpanel.validate();
		this.validate();
		this.repaint();
		//System.out.println("update");
		for(int i =0 ;i<buttonVector.size();i++){
			buttonVector.elementAt(i).naviPanel.repaint();
			buttonVector.elementAt(i).validate();
			buttonVector.elementAt(i).repaint();
		}
		
	}
	
}
