package Tools;
import java.awt.Graphics2D;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;
import java.awt.event.MouseMotionListener;

import Shapes.ParentElement;

import panels.CanvasPanel;


public abstract class ToolStateAbstract implements MouseListener,MouseMotionListener{
	protected CanvasPanel canvasPanel;
	protected ParentElement drawable;
	
	public ToolStateAbstract(){
		drawable = null;
	}
	public ToolStateAbstract(CanvasPanel panel){
		this.canvasPanel = panel;
	}
	public void setCanvas(CanvasPanel panel){
		this.canvasPanel = panel;
	}
	public CanvasPanel getCanvas(){return this.canvasPanel;}
	public void repaint(){
		canvasPanel.update();
		if(drawable != null)
			drawable.paint((Graphics2D) canvasPanel.gback);
		//canvasPanel.repaint();
		canvasPanel.swapBuffer();
	}
	public void mouseClicked(MouseEvent e) {
		
	}
	public void refresh(){
		
	}
}
