package Tools;

import java.awt.Point;
import java.awt.event.InputEvent;
import java.awt.event.MouseEvent;


import Shapes.ElementBursh_k1;
import panels.CanvasPanel;
import utils.DrawStateSingleton;

public class ToolStateBrush_k1 extends ToolStateAbstract{
	public ToolStateBrush_k1(CanvasPanel panel) {
		super(panel);
	}

	public void mousePressed(MouseEvent e) {
		if(e.getModifiers() != InputEvent.META_MASK){
		if(drawable == null){
			drawable = new ElementBursh_k1(DrawStateSingleton.getInstance()
					.getDrawableInformation(),this.canvasPanel.currentLayer);
			drawable.information.setGraphicAttribute(canvasPanel.gback);
			
			canvasPanel.getStorage().getDrawableList().add(drawable);
			canvasPanel.currentLayer.vector.add(drawable);
		}
		}
	}
	
	public void mouseDragged(MouseEvent e) {
		if(e.getModifiers() != InputEvent.META_MASK){
		((ElementBursh_k1)drawable).addPath(new Point(e.getX(),e.getY()));
	
		canvasPanel.repaint();
		}
	}
	
	public void mouseReleased(MouseEvent e) {
		if(e.getModifiers() != InputEvent.META_MASK){
		this.canvasPanel.updateElement();
		canvasPanel.repaint();
		drawable = null;
		}
	}

	
	public void mouseEntered(MouseEvent e) {}
	public void mouseExited(MouseEvent e) {}
	public void mouseMoved(MouseEvent e) {}

}
