package Tools;

import java.awt.Polygon;
import java.awt.event.InputEvent;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;
import java.awt.event.MouseMotionListener;

import panels.CanvasPanel;
import utils.DrawStateSingleton;
import Shapes.ElementPolygon;

public class ToolStatePolygon extends ToolStateAbstract{
	private Polygon polygon = null;
	
	public ToolStatePolygon(CanvasPanel panel){
		this.canvasPanel = panel;
	}
	
	public void mouseReleased(MouseEvent e) {
		
		if(e.getModifiers() == InputEvent.META_MASK){
			//this.canvasPanel.getStorage().getDrawableList().add(drawable);
			polygon = null;
			this.canvasPanel.updateElement();
			canvasPanel.repaint();
			drawable = null;
			MouseListener[] m = canvasPanel.getMouseListeners();
			if(m.length != 0){
			canvasPanel.removeMouseListener(m[0]);
			MouseMotionListener[] mm = canvasPanel.getMouseMotionListeners();
			canvasPanel.removeMouseMotionListener(mm[0]);}
			canvasPanel.setComponentPopupMenu(canvasPanel.popup);
		}
		else{
			polygon.addPoint(e.getX(), e.getY());
			//canvasPanel.update();
			//((ElementPolygon)drawable).paint(canvasPanel.gback);
			//canvasPanel.getGraphics().drawImage(this.canvasPanel.gBackImg, 0, 0, null);
			canvasPanel.repaint();
		
		}
	}
		
	public void mousePressed(MouseEvent e) {
		if(e.getModifiers() != InputEvent.META_MASK){
		if(drawable == null){
			drawable = new ElementPolygon(DrawStateSingleton.getInstance()
					.getDrawableInformation(),this.canvasPanel.currentLayer);
			this.polygon = new Polygon();
			((ElementPolygon)drawable).setPolygon(polygon);
			drawable.information.setGraphicAttribute(canvasPanel.gback);
			canvasPanel.getStorage().getDrawableList().add(drawable);
			canvasPanel.currentLayer.vector.add(drawable);
		}
		}
	}

	public void mouseDragged(MouseEvent arg0) {}
	public void mouseMoved(MouseEvent arg0) {}
	public void mouseEntered(MouseEvent arg0) {}
	public void mouseExited(MouseEvent arg0) {}

}
