package subframes;

import java.awt.Font;
import java.util.Vector;

import javax.swing.JInternalFrame;
import javax.swing.JTabbedPane;


import Shapes.ParentElement;
import Start.MainFrame;
import panels.FramePanel;

public class FormFrame extends JInternalFrame {

	private static final long serialVersionUID = 1L;

	FramePanel framePanel;	
	private JTabbedPane tab_form;
	
	private Font myFont;
	
	MainFrame mainframe;
	
	public FormFrame(MainFrame mainframe) {
		
		super("Form", true, true, false, true);
		
		this.mainframe = mainframe;
		
		myFont = new Font("Arial", Font.PLAIN, 10);
		
		tab_form = new JTabbedPane();
		tab_form.setFont(myFont);
		
		framePanel = new FramePanel(mainframe);
		framePanel.setFont(myFont);
				
		this.sub();
	}
	
	public void sub() {
		this.setVisible(true);
		this.setBounds(960, 200, 255, 320);
		
		tab_form.addTab("Frame", framePanel);
		this.add(tab_form);		
		this.setDefaultCloseOperation(HIDE_ON_CLOSE);
	}
	
	public void addElement(ParentElement element){
		
	}
	
	public void updateElement(Vector vector){
		
	}
	
}
