package utils;


import panels.CanvasPanel;
import Shapes.ParentElement;
import Tools.ToolStateAbstract;



public class DrawStateSingleton {
	private static DrawStateSingleton drawState = new DrawStateSingleton();
	
	private ToolStateAbstract toolState;	//׸   
	private CanvasPanel currentPanel;
	public ParentElement currentSelect = null;
	private DrawStateSingleton(){
		toolState = null;	
	}
	public static DrawStateSingleton getInstance(){
		return drawState;
	}
	
	
	//  ¸ ´.
	public ToolStateAbstract getToolState(){
		return toolState;
	}
	//  ¸ ٲ۴.
	public void setToolState(ToolStateAbstract toolState){
		this.toolState = toolState;
	}
	// ׸ ´.
	public DrawableInformation getDrawableInformation(){
		if(this.currentPanel == null){
			//return null;
		}
		
		DrawableInformation df =this.currentPanel.getInformation().makeClone();
		df.setCanvasSize(this.currentPanel.getWidth(),this.currentPanel.getHeight());
		//System.out.println("dddddddsss :"+this.currentPanel.getWidth());
		return df;
	}
	// ׸ ٲ۴.
	
	
	//г Ѵ.
	public void setCurrentPanel(CanvasPanel panel){
		this.currentPanel = panel;
		
	}
	public CanvasPanel getCurrentPanel(){return this.currentPanel;}
	
}
